## bzip2 1.0.5-1ubuntu1.1common0sendai1

=== Makefile ===
# ------------------------------------------------------------------
# This file is part of bzip2/libbzip2, a program and library for
# lossless, block-sorting data compression.
#
# bzip2/libbzip2 version 1.0.5 of 10 December 2007
# Copyright (C) 1996-2007 Julian Seward <jseward@bzip.org>
#
# Please read the WARNING, DISCLAIMER and PATENTS sections in the 
# README file.
#
# This program is released under the terms of the license contained
# in the file LICENSE.
# ------------------------------------------------------------------

somajor=1.0
sominor=$(somajor).4
SHELL=/bin/sh

# To assist in cross-compiling
CC=gcc
AR=ar
RANLIB=ranlib
LDFLAGS=

BIGFILES=-D_FILE_OFFSET_BITS=64
CFLAGS=-Wall -Winline -O2 -g $(BIGFILES) $(DEBCFLAGS)

# Where you want it installed when you do 'make install'
PREFIX=/usr/local


OBJS= blocksort.o  \
      huffman.o    \
      crctable.o   \
      randtable.o  \
      compress.o   \
      decompress.o \
      bzlib.o

all: libbz2.a bzip2 bzip2recover # test

bzip2: libbz2.so bzip2.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o bzip2 bzip2.o -L. -lbz2

bzip2recover: bzip2recover.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o bzip2recover bzip2recover.o

libbz2.a: $(OBJS)
	rm -f libbz2.a
	$(AR) cq libbz2.a $(OBJS)
	@if ( test -f $(RANLIB) || test -f /usr/bin/ranlib || \
		test -f /bin/ranlib || test -f /usr/ccs/bin/ranlib ) ; then \
		echo $(RANLIB) libbz2.a ; \
		$(RANLIB) libbz2.a ; \
	fi

libbz2.so: libbz2.so.$(somajor)
	ln -sf $^ $@

libbz2.so.$(somajor): libbz2.so.$(sominor)
	ln -sf $^ $@

libbz2.so.$(sominor): $(OBJS:%.o=%.sho)
	$(CC) -o libbz2.so.$(sominor) -shared \
	  -Wl,-soname,libbz2.so.$(somajor) $^ -lc

%.sho: %.c
	$(CC) $(CFLAGS) -D_REENTRANT -fPIC -o $@ -c $<

%.o: %.c
	$(CC) $(CFLAGS) -D_REENTRANT -o $@ -c $<

check: test
test: bzip2
	@cat words1
	LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH \
	./bzip2 -1  < sample1.ref > sample1.rb2
	LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH \
	./bzip2 -2  < sample2.ref > sample2.rb2
	LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH \
	./bzip2 -3  < sample3.ref > sample3.rb2
	LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH \
	./bzip2 -d  < sample1.bz2 > sample1.tst
	LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH \
	./bzip2 -d  < sample2.bz2 > sample2.tst
	LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH \
	./bzip2 -ds < sample3.bz2 > sample3.tst
	cmp sample1.bz2 sample1.rb2 
	cmp sample2.bz2 sample2.rb2
	cmp sample3.bz2 sample3.rb2
	cmp sample1.tst sample1.ref
	cmp sample2.tst sample2.ref
	cmp sample3.tst sample3.ref
	@cat words3

install: bzip2 bzip2recover libbz2.a
	if ( test ! -d $(PREFIX)/bin ) ; then mkdir -p $(PREFIX)/bin ; fi
	if ( test ! -d $(PREFIX)/lib ) ; then mkdir -p $(PREFIX)/lib ; fi
	if ( test ! -d $(PREFIX)/man ) ; then mkdir -p $(PREFIX)/man ; fi
	if ( test ! -d $(PREFIX)/man/man1 ) ; then mkdir -p $(PREFIX)/man/man1 ; fi
	if ( test ! -d $(PREFIX)/include ) ; then mkdir -p $(PREFIX)/include ; fi
	cp -f bzip2 $(PREFIX)/bin/bzip2
	ln $(PREFIX)/bin/bzip2 $(PREFIX)/bin/bunzip2
	ln $(PREFIX)/bin/bzip2 $(PREFIX)/bin/bzcat
	cp -f bzip2recover $(PREFIX)/bin/bzip2recover
	chmod a+x $(PREFIX)/bin/bzip2
	chmod a+x $(PREFIX)/bin/bunzip2
	chmod a+x $(PREFIX)/bin/bzcat
	chmod a+x $(PREFIX)/bin/bzip2recover
	cp -f bzip2.1 $(PREFIX)/man/man1
	chmod a+r $(PREFIX)/man/man1/bzip2.1
	cp -f bzlib.h $(PREFIX)/include
	chmod a+r $(PREFIX)/include/bzlib.h
	cp -fa libbz2.a libbz2.so* $(PREFIX)/lib
	chmod a+r $(PREFIX)/lib/libbz2.a
	cp -f bzexe $(PREFIX)/bin/bzexe
	chmod a+x $(PREFIX)/bin/bzexe
	cp -f bzgrep $(PREFIX)/bin/bzgrep
	ln -s -f $(PREFIX)/bin/bzgrep $(PREFIX)/bin/bzegrep
	ln -s -f $(PREFIX)/bin/bzgrep $(PREFIX)/bin/bzfgrep
	chmod a+x $(PREFIX)/bin/bzgrep
	cp -f bzmore $(PREFIX)/bin/bzmore
	ln -s -f $(PREFIX)/bin/bzmore $(PREFIX)/bin/bzless
	chmod a+x $(PREFIX)/bin/bzmore
	cp -f bzdiff $(PREFIX)/bin/bzdiff
	ln -s -f $(PREFIX)/bin/bzdiff $(PREFIX)/bin/bzcmp
	chmod a+x $(PREFIX)/bin/bzdiff
	cp -f bzexe.1 bzgrep.1 bzmore.1 bzdiff.1 $(PREFIX)/man/man1
	chmod a+r $(PREFIX)/man/man1/bzexe.1
	chmod a+r $(PREFIX)/man/man1/bzgrep.1
	chmod a+r $(PREFIX)/man/man1/bzmore.1
	chmod a+r $(PREFIX)/man/man1/bzdiff.1
	echo ".so man1/bzgrep.1" > $(PREFIX)/man/man1/bzegrep.1
	echo ".so man1/bzgrep.1" > $(PREFIX)/man/man1/bzfgrep.1
	echo ".so man1/bzmore.1" > $(PREFIX)/man/man1/bzless.1
	echo ".so man1/bzdiff.1" > $(PREFIX)/man/man1/bzcmp.1

clean: 
	rm -f *.o *.sho libbz2.a libbz2.so* bzip2 bzip2recover \
	sample1.rb2 sample2.rb2 sample3.rb2 \
	sample1.tst sample2.tst sample3.tst


distclean: clean
	#rm -f manual.ps manual.html manual.pdf

DISTNAME=bzip2-1.0.5
dist: check manual
	rm -f $(DISTNAME)
	ln -s -f . $(DISTNAME)
	tar cvf $(DISTNAME).tar \
	   $(DISTNAME)/blocksort.c \
	   $(DISTNAME)/huffman.c \
	   $(DISTNAME)/crctable.c \
	   $(DISTNAME)/randtable.c \
	   $(DISTNAME)/compress.c \
	   $(DISTNAME)/decompress.c \
	   $(DISTNAME)/bzlib.c \
	   $(DISTNAME)/bzip2.c \
	   $(DISTNAME)/bzip2recover.c \
	   $(DISTNAME)/bzlib.h \
	   $(DISTNAME)/bzlib_private.h \
	   $(DISTNAME)/Makefile \
	   $(DISTNAME)/LICENSE \
	   $(DISTNAME)/bzip2.1 \
	   $(DISTNAME)/bzip2.1.preformatted \
	   $(DISTNAME)/bzip2.txt \
	   $(DISTNAME)/words0 \
	   $(DISTNAME)/words1 \
	   $(DISTNAME)/words2 \
	   $(DISTNAME)/words3 \
	   $(DISTNAME)/sample1.ref \
	   $(DISTNAME)/sample2.ref \
	   $(DISTNAME)/sample3.ref \
	   $(DISTNAME)/sample1.bz2 \
	   $(DISTNAME)/sample2.bz2 \
	   $(DISTNAME)/sample3.bz2 \
	   $(DISTNAME)/dlltest.c \
	   $(DISTNAME)/manual.html \
	   $(DISTNAME)/manual.pdf \
	   $(DISTNAME)/manual.ps \
	   $(DISTNAME)/README \
	   $(DISTNAME)/README.COMPILATION.PROBLEMS \
	   $(DISTNAME)/README.XML.STUFF \
	   $(DISTNAME)/CHANGES \
	   $(DISTNAME)/libbz2.def \
	   $(DISTNAME)/libbz2.dsp \
	   $(DISTNAME)/dlltest.dsp \
	   $(DISTNAME)/makefile.msc \
	   $(DISTNAME)/unzcrash.c \
	   $(DISTNAME)/spewG.c \
	   $(DISTNAME)/mk251.c \
	   $(DISTNAME)/bzdiff \
	   $(DISTNAME)/bzdiff.1 \
	   $(DISTNAME)/bzmore \
	   $(DISTNAME)/bzmore.1 \
	   $(DISTNAME)/bzexe \
	   $(DISTNAME)/bzexe.1 \
	   $(DISTNAME)/bzgrep \
	   $(DISTNAME)/bzgrep.1 \
	   $(DISTNAME)/Makefile-libbz2_so \
	   $(DISTNAME)/bz-common.xsl \
	   $(DISTNAME)/bz-fo.xsl \
	   $(DISTNAME)/bz-html.xsl \
	   $(DISTNAME)/bzip.css \
	   $(DISTNAME)/entities.xml \
	   $(DISTNAME)/manual.xml \
	   $(DISTNAME)/format.pl \
	   $(DISTNAME)/xmlproc.sh
	gzip -v $(DISTNAME).tar

# For rebuilding the manual from sources on my SuSE 9.1 box

MANUAL_SRCS= 	bz-common.xsl bz-fo.xsl bz-html.xsl bzip.css \
		entities.xml manual.xml 

manual: manual.html manual.ps manual.pdf

manual.ps: $(MANUAL_SRCS)
	./xmlproc.sh -ps manual.xml

manual.pdf: $(MANUAL_SRCS)
	./xmlproc.sh -pdf manual.xml

manual.html: $(MANUAL_SRCS)
	./xmlproc.sh -html manual.xml

=== debian/changelog ===
bzip2 (1.0.5-1ubuntu1.1common0sendai1) jaunty; urgency=low

  * SECURITY UPDATE: Fix temporary file creation race condition
    - bzexe: Ensure link target is a regular file. Patch from vladz.
    - http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=632862#5
    - CVE-2011-4089

 -- Jun Kobayashi <kobayashi@kobayasystem.jp>  Wed, 25 Apr 2012 03:07:45 +0900

bzip2 (1.0.5-1ubuntu1.1) jaunty-security; urgency=low

  * SECURITY UPDATE: fix integer overflow in BZ2_decompress()
    - decompress.c: return error if N is larger than 2*1024^2 which keeps es
      from overflowing but leaves enough room for the 900k maximum value of
      the RUNA/RUNB encoding
    - patch from upstream
    - CVE-2010-0405

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 09 Sep 2010 10:16:51 -0500

bzip2 (1.0.5-1ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/rules: install to /usr/lib32 on amd64

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 10 Nov 2008 12:48:20 +0100

bzip2 (1.0.5-1) unstable; urgency=low

  * Fix "bzdiff doesn't work if $TMPDIR contains spaces"; closes: #493710
    Patch by Vincent Lefevre <vincent@vinc17.org>
  * Standards-Version is 3.8.0
  * Fixed the following lintian issues:
    W: bzip2-doc: doc-base-unknown-section bzip2:9 Apps/Tools

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 05 Aug 2008 19:52:24 +1000

bzip2 (1.0.5-0.1ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/rules: install to /usr/lib32 on amd64

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 23 Jun 2008 09:55:20 +0200

bzip2 (1.0.5-0.1) unstable; urgency=high

  * NMU
  * New upstream version. Fixes a denial of service via a crafted file. 
    Ref: CVE-2008-1372. (Closes: #471670). 

 -- Luis Uribe <acme@eviled.org>  Mon, 24 Mar 2008 13:34:34 -0500

bzip2 (1.0.4-4) unstable; urgency=low

  * bzcmp: Fixed exit status for one-argument usage. Thanks to 
    Peter Samuelson <peter@p12n.org> (Closes: #464217).
  * debian/control: Added ${shlibs:Depends} to bzip2's Depends

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 10 Mar 2008 20:41:46 +0100

bzip2 (1.0.4-3) unstable; urgency=low

  * debian/rules: changing mode for actual files in dev{32,64} dirs to
    avoid afecting dangling symlinks and make chmod happy. 
    (Closes: #464270)

 -- Santiago Ruano Rincón <santiago@debian.org>  Wed, 06 Feb 2008 23:31:58 +0100

=== debian/control ===
Source: bzip2
Section: utils
Priority: important
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Uploaders: Santiago Ruano Rincón <santiago@debian.org>
Standards-Version: 3.8.0
Build-depends: texinfo, gcc-multilib [amd64 i386 kfreebsd-amd64 powerpc ppc64 s390 sparc] | gcc-4.1 (<< 4.1.2) [amd64 i386 kfreebsd-amd64 powerpc ppc64 s390 sparc]
Homepage: http://www.bzip.org/

Package: libbz2-1.0
Priority: important
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: high-quality block-sorting file compressor library - runtime
 This package contains libbzip2 which is used by the bzip2 compressor.
 .
 bzip2 is a freely available, patent free, high-quality data compressor. 
 It typically compresses files to within 10% to 15% of the best available
 techniques, whilst being around twice as fast at compression and six
 times faster at decompression.
 .
 bzip2 compresses files using the Burrows-Wheeler block-sorting text
 compression algorithm, and Huffman coding. Compression is generally
 considerably better than that achieved by more conventional
 LZ77/LZ78-based compressors, and approaches the performance of the PPM
 family of statistical compressors.
 .
 The archive file format of bzip2 (.bz2) is incompatible with that of its
 predecessor, bzip (.bz).

Package: libbz2-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: libbz2-1.0 (=${binary:Version}), libc6-dev | libc-dev
Replaces: bzip2 (<<0.9.5d-3)
Description: high-quality block-sorting file compressor library - development
 Static libraries and include files for the bzip2 compressor library.
 .
 bzip2 is a freely available, patent free, high-quality data compressor. 
 It typically compresses files to within 10% to 15% of the best available
 techniques, whilst being around twice as fast at compression and six
 times faster at decompression.
 .
 bzip2 compresses files using the Burrows-Wheeler block-sorting text
 compression algorithm, and Huffman coding.  Compression is generally
 considerably better than that achieved by more conventional
 LZ77/LZ78-based compressors, and approaches the performance of the PPM
 family of statistical compressors.
 .
 The archive file format of bzip2 (.bz2) is incompatible with that of its
 predecessor, bzip (.bz).

Package: bzip2
Priority: optional
Section: utils
Architecture: any
Depends: libbz2-1.0 (=${binary:Version}), ${shlibs:Depends}
Suggests: bzip2-doc
Replaces: libbz2 (<<0.9.5d-3)
Description: high-quality block-sorting file compressor - utilities
 bzip2 is a freely available, patent free, high-quality data compressor. 
 It typically compresses files to within 10% to 15% of the best available
 techniques, whilst being around twice as fast at compression and six
 times faster at decompression.
 .
 bzip2 compresses files using the Burrows-Wheeler block-sorting text
 compression algorithm, and Huffman coding.  Compression is generally
 considerably better than that achieved by more conventional
 LZ77/LZ78-based compressors, and approaches the performance of the PPM
 family of statistical compressors.
 .
 The archive file format of bzip2 (.bz2) is incompatible with that of its
 predecessor, bzip (.bz).

Package: lib64bz2-1.0
Priority: optional
Section: libs
Architecture: i386 powerpc sparc s390
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: amd64-libs (<< 1.5)
Description: high-quality block-sorting file compressor library - 64bit runtime
 This package contains the libbzip2 64bit runtime library.

Package: lib64bz2-dev
Priority: optional
Section: libdevel
Replaces: amd64-libs-dev (<< 1.5)
Architecture: i386 powerpc sparc s390
Depends: lib64bz2-1.0 (=${binary:Version}), libbz2-dev (=${binary:Version}), ${dev:Depends}
Description: high-quality block-sorting file compressor library - 64bit development
 Static libraries and include files for the bzip2 compressor library (64bit).

Package: lib32bz2-1.0
Priority: optional
Section: libs
Architecture: amd64 ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: ia32-libs
Description: high-quality block-sorting file compressor library - 32bit runtime
 This package contains the libbzip2 32bit runtime library.

Package: lib32bz2-dev
Priority: optional
Section: libdevel
Architecture: amd64 ppc64
Depends: lib32bz2-1.0 (=${binary:Version}), libbz2-dev (=${binary:Version}), ${dev:Depends}
Replaces: ia32-libs-dev
Description: high-quality block-sorting file compressor library - 32bit development
 Static libraries and include files for the bzip2 compressor library (32bit).

Package: bzip2-doc
Priority: optional
Section: doc
Architecture: all
Replaces: bzip2 (<< 1.0.4-0ubuntu2)
Description: high-quality block-sorting file compressor - documentation
 bzip2 is a freely available, patent free, high-quality data compressor. 
 It typically compresses files to within 10% to 15% of the best available
 techniques, whilst being around twice as fast at compression and six
 times faster at decompression.
 .
 This package contains the bzip2 user manual.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for building the Debian GNU/Linux package bzip2.
# Copyright (C) 1999, 2000, 2001, 2002 Philippe Troin
# Copyright (C) 2004-2007 Anibal Monsalve Salazar <anibal@debian.org>

SHELL = /bin/bash
package = bzip2

testdir=test -x debian/rules && test -f bzip2.c
testroot=test "`id -nu`" = root

DEB_BUILD_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS	:= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
        CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
        CC=$(DEB_HOST_GNU_TYPE)-gcc
else
        CROSS=CC=gcc
        CC=gcc
endif

DEBCFLAGS:=
DEBSTRIP:=strip
WGET=wget
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
DEBCFLAGS += -g
endif
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
DEBSTRIP:=:
endif

DEBVERSION:=$(shell head -n 1 debian/changelog \
		    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/-[0-9.]*$$//')

ifneq (,$(findstring /$(DEB_HOST_ARCH)/,/i386/powerpc/sparc/s390/))
	build64-stamp := build64-stamp
	CC64=$(CC) -m64
endif
ifeq ($(DEB_HOST_ARCH),i386)
	CC64 += -march=x86-64 -mtune=x86-64
endif

ifneq (,$(findstring /$(DEB_HOST_ARCH)/,/amd64/ppc64/))
	build32-stamp := build32-stamp
	lib32 := usr/lib32
endif

build: build-stamp $(build32-stamp) $(build64-stamp)
build-stamp:
	$(testdir)
	# Add here commands to compile the package.
	$(MAKE) DEBCFLAGS="$(DEBCFLAGS)"
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	$(MAKE) DEBCFLAGS="$(DEBCFLAGS)" test
endif
	makeinfo -o bzip2.info manual.texi
	cat debian/copyright.in LICENSE > debian/copyright
	touch build-stamp

# requires: docbook-xml docbook2x
manual.texi: manual.xml
	docbook2x-texi --to-stdout manual.xml | \
	awk '/^@direntry/,/^@end direntry/ {if ($$0 !~ /@/) {print "* Bzip2: (bzip2).               A program and library for data compression."; next}} {print}' > manual.texi

build32: build32-stamp
build32-stamp:
	$(testdir)
	rm -rf 32
	mkdir 32
	cp -p *.h *.c Makefile 32/
	$(MAKE) -C 32 "$(CROSS) -m32" DEBCFLAGS="$(DEBCFLAGS)"
	touch build32-stamp

build64: build64-stamp
build64-stamp:
	$(testdir)
	rm -rf 64
	mkdir 64
	cp -p *.h *.c Makefile 64/
	$(MAKE) -C 64 CC="$(CC64)" DEBCFLAGS="$(DEBCFLAGS)"
	touch build64-stamp


clean:
	$(testdir)
	rm -f build*-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -rf 32 64
	rm -f debian/substvars debian/files bzip2.info*
	rm -fr debian/tmp*
	find . -name "*~" -print0 | xargs -r0 rm -f

# Build architecture-independent files here.
binary-indep: build
	$(testdir)
	$(testroot)

	# Info
	install -d debian/tmp-doc/usr/share/info
	cp bzip2.info* debian/tmp-doc/usr/share/info/
	gzip -v9 debian/tmp-doc/usr/share/info/*

	install -d debian/tmp-doc/usr/share/doc/bzip2
	install -d debian/tmp-doc/usr/share/doc/bzip2-doc
	cp *.ps *.html *.texi debian/tmp-doc/usr/share/doc/bzip2
	gzip -v9 debian/tmp-doc/usr/share/doc/bzip2/*.{ps,texi}
	for i in debian/tmp-doc/usr/share/doc/bzip2/*.{ps.gz,texi.gz,html}; do \
	  b=$$(basename $$i); \
	  ln -sf ../bzip2/$$b debian/tmp-doc/usr/share/doc/bzip2-doc/$$b; \
	done

	cp debian/changelog \
	  debian/tmp-doc/usr/share/doc/bzip2-doc/changelog.Debian
	gzip -v9 debian/tmp-doc/usr/share/doc/bzip2-doc/changelog*
	cp debian/copyright debian/tmp-doc/usr/share/doc/bzip2-doc/

	# Doc-base support
	install -d debian/tmp-doc/usr/share/doc-base
	cp debian/docbase debian/tmp-doc/usr/share/doc-base/bzip2

	# Control files
	install -d debian/tmp-doc/DEBIAN

	dpkg-gencontrol -isp -Pdebian/tmp-doc -pbzip2-doc

	for i in doc; do \
	  cp debian/postinst-$$i debian/tmp-$$i/DEBIAN/postinst; \
	  cp debian/prerm-$$i debian/tmp-$$i/DEBIAN/prerm; \
	  chmod +x debian/tmp-$$i/DEBIAN/postinst; \
	  chmod +x debian/tmp-$$i/DEBIAN/prerm; \
	done

	# Fix perms
	chown -R root.root debian/tmp-doc
	chmod -R a+rX-wts,u+w debian/tmp-doc

	# Buildit
	dpkg --build debian/tmp-doc ..

# Build architecture-dependent files here.
binary-arch: build
	$(testdir)
	$(testroot)
	rm -fr debian/tmp*
	install -d debian/tmp/usr

	$(MAKE) PREFIX=`pwd`/debian/tmp install

	### Split

	# Development package
	install -d debian/tmp-dev/usr/lib
	rm debian/tmp/lib/libbz2.so
	ln -s /lib/libbz2.so.1.0 debian/tmp-dev/usr/lib/libbz2.so
	mv debian/tmp/lib/libbz2.a debian/tmp-dev/usr/lib/
	mv debian/tmp/include debian/tmp-dev/usr/include
	

	# Library package
	install -d debian/tmp-lib/lib
	for i in $$(ls debian/tmp/lib/libbz2.so*); do \
	  (set -x; echo $$i; mv $$i debian/tmp-lib/lib/); \
	done
	ln -s libbz2.so.1.0.4 debian/tmp-lib/lib/libbz2.so.1
	chmod -x debian/tmp-lib/lib/*

	# Binary package
	install -d debian/tmp-run
	mv debian/tmp/bin debian/tmp-run/bin
	ln -sf bzdiff debian/tmp-run/bin/bzcmp
	ln -sf bzgrep debian/tmp-run/bin/bzegrep
	ln -sf bzgrep debian/tmp-run/bin/bzfgrep
	ln -sf bzmore debian/tmp-run/bin/bzless
	install -d debian/tmp-run/usr/share
	mv debian/tmp/man debian/tmp-run/usr/share/man

	### Check the install
	test "$$(find debian/tmp ! -type d -print | wc -l)" -eq 0
	rm -fr debian/tmp

	### Finalize documentation

	# Man pages
	gzip -v9 debian/tmp-run/usr/share/man/man1/*.1
	( cd debian/tmp-run/usr/share/man/man1 && \
	  for i in bunzip2 bzcat bzip2recover; do \
	    ln -s bzip2.1.gz $$i.1.gz; \
	  done )

	# Other docs in lib package
	install -d debian/tmp-run/usr/share/doc/bzip2
	cp CHANGES debian/tmp-run/usr/share/doc/bzip2/changelog
	cp debian/changelog \
	  debian/tmp-run/usr/share/doc/bzip2/changelog.Debian
	gzip -v9 debian/tmp-run/usr/share/doc/bzip2/changelog*
	cp debian/copyright debian/tmp-run/usr/share/doc/bzip2/

	# Library package
	install -d debian/tmp-lib/usr/share/doc/libbz2-1.0
	cp debian/copyright debian/tmp-lib/usr/share/doc/libbz2-1.0/
	cp CHANGES debian/tmp-lib/usr/share/doc/libbz2-1.0/changelog
	cp debian/changelog \
	  debian/tmp-lib/usr/share/doc/libbz2-1.0/changelog.Debian
	gzip -v9 debian/tmp-lib/usr/share/doc/libbz2-1.0/changelog*

	# Other packages point to libbz2-1.0
	install -d debian/tmp-dev/usr/share/doc
	ln -s libbz2-1.0 debian/tmp-dev/usr/share/doc/libbz2-dev

	### Package finalize

	# Stripping
	for i in debian/tmp-run/bin/*; \
	do \
	  if [ ! -h $$i ] && head -n 1 $$i | grep -vq '^#!'; \
	  then \
	    (set -x; $(DEBSTRIP) -R .note -R .comment $$i); \
	  fi; \
	done
	$(DEBSTRIP) --strip-unneeded -R .note -R .comment \
	  debian/tmp-lib/lib/*.so*
	$(DEBSTRIP) --strip-debug debian/tmp-dev/usr/lib/*.a

	# Control files
	install -d debian/tmp-{lib,dev,run}/DEBIAN
	cp debian/shlibs debian/tmp-lib/DEBIAN/shlibs

	dpkg-shlibdeps debian/tmp-lib/lib/*.so*
	dpkg-gencontrol -isp -Pdebian/tmp-lib -plibbz2-1.0
	rm debian/substvars
	dpkg-gencontrol -isp -Pdebian/tmp-dev -plibbz2-dev
	dpkg-shlibdeps debian/tmp-run/bin/*
	dpkg-gencontrol -isp -Pdebian/tmp-run -pbzip2

	for i in run dev lib; do \
	  cp debian/postinst-$$i debian/tmp-$$i/DEBIAN/postinst; \
	  cp debian/prerm-$$i debian/tmp-$$i/DEBIAN/prerm; \
	  chmod +x debian/tmp-$$i/DEBIAN/postinst; \
	  chmod +x debian/tmp-$$i/DEBIAN/prerm; \
	done
	cp debian/preinst-run debian/tmp-run/DEBIAN/preinst
	cp debian/postrm-lib debian/tmp-lib/DEBIAN/postrm
	chmod +x debian/tmp-run/DEBIAN/preinst debian/tmp-lib/DEBIAN/postrm

	# Fix perms
	chown -R root.root debian/tmp*
	chmod -R a+rX-wts,u+w debian/tmp*

	# Buildit
	dpkg --build debian/tmp-run ..
	dpkg --build debian/tmp-lib ..
	dpkg --build debian/tmp-dev ..

ifneq (,$(build64-stamp))
	rm -rf debian/tmp-lib64
	rm -rf debian/tmp-dev64

	install -d debian/tmp-lib64/usr/lib64
	cp -a 64/libbz2.so.* debian/tmp-lib64/usr/lib64/
	chmod -x debian/tmp-lib64/usr/lib64/*

	install -d debian/tmp-dev64/usr/lib64
	cp -a 64/libbz2.so 64/libbz2.a debian/tmp-dev64/usr/lib64/
	chmod -x debian/tmp-dev64/usr/lib64/*.a

	install -d debian/tmp-lib64/usr/share/doc/lib64bz2-1.0
	cp debian/copyright debian/tmp-lib64/usr/share/doc/lib64bz2-1.0/
	cp debian/changelog \

## bzip2 1.0.5-2

=== debian/changelog ===
bzip2 (1.0.5-2) unstable; urgency=low

  * Included patching mechanism into build process

 -- Lauri Jakku <ext-lauri.jakku@nokia.com>  Wed, 27 Aug 2008 10:24:30 +0300

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for building the Debian GNU/Linux package bzip2.
# Copyright (C) 2004-2005 Anibal Monsalve Salazar <anibal@debian.org>

SHELL = /bin/bash
package = bzip2

include /usr/share/cdbs/1/rules/simple-patchsys.mk

testdir=test -x debian/rules && test -f bzip2.c
testroot=test "`id -nu`" = root

DEB_BUILD_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

DEBCFLAGS:=
DEBSTRIP:=strip
WGET=wget
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
DEBCFLAGS += -g
endif
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
DEBSTRIP:=:
endif

DEBVERSION:=$(shell head -n 1 debian/changelog \
		    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/-[0-9.]*$$//')

build: build-stamp
build-stamp:
	$(testdir)
	# Add here commands to compile the package.
	$(MAKE) DEBCFLAGS="$(DEBCFLAGS)"
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	$(MAKE) DEBCFLAGS="$(DEBCFLAGS)" test
endif
	#makeinfo manual.texi
	touch build-stamp

clean::
	$(testdir)
	rm -f build-stamp
	-$(MAKE) clean
	rm -f debian/substvars debian/files bzip2.info*
	rm -fr debian/tmp*
	find . -name "*~" -print0 | xargs -r0 rm -f

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	$(testdir)
	$(testroot)
	rm -fr debian/tmp*
	install -d debian/tmp/usr

	$(MAKE) PREFIX=`pwd`/debian/tmp/usr install

	### Split

	# Development package
	install -d debian/tmp-dev/usr/lib
	mv debian/tmp/usr/lib/libbz2.{a,so} debian/tmp-dev/usr/lib/
	mv debian/tmp/usr/include debian/tmp-dev/usr/include

	# Library package
	install -d debian/tmp-lib/usr/lib
	for i in $$(ls debian/tmp/usr/lib/libbz2.so* | sort -r); do \
	  (set -x; mv $$i debian/tmp-lib/usr/lib/); \
	done
	chmod -x debian/tmp-lib/usr/lib/*

	# Binary package
	install -d debian/tmp-run/usr
	mv debian/tmp/usr/bin debian/tmp-run/usr/bin
	install -d debian/tmp-run/usr/share
	mv debian/tmp/usr/man debian/tmp-run/usr/share/man

	### Check the install hier
	test "$$(find debian/tmp ! -type d -print | wc -l)" -eq 0
	rm -fr debian/tmp

	### Finalize documentation

	# Man pages
	#gzip -v9 debian/tmp-run/usr/share/man/man1/*.1
	#( cd debian/tmp-run/usr/share/man/man1 && \
	#  for i in bunzip2 bzcat bzip2recover; do \
	#    ln -s bzip2.1.gz $$i.1.gz; \
	#  done )

	# Info
	#install -d debian/tmp-run/usr/share/info
	#cp bzip2.info* debian/tmp-run/usr/share/info/
	#gzip -v9 debian/tmp-run/usr/share/info/*

	# Other docs in lib package
	#install -d debian/tmp-run/usr/share/doc/bzip2
	#cp *.ps *.html *.texi debian/tmp-run/usr/share/doc/bzip2
	#gzip -v9 debian/tmp-run/usr/share/doc/bzip2/*.{ps,texi}
	#cp CHANGES debian/tmp-run/usr/share/doc/bzip2/changelog
	#cp debian/changelog \
	#  debian/tmp-run/usr/share/doc/bzip2/changelog.Debian
	#gzip -v9 debian/tmp-run/usr/share/doc/bzip2/changelog*
	#cp debian/copyright debian/tmp-run/usr/share/doc/bzip2/

	# Doc-base support
	#install -d debian/tmp-run/usr/share/doc-base
	#cp debian/docbase debian/tmp-run/usr/share/doc-base/bzip2

	# Library package
	install -d debian/tmp-lib/usr/share/doc/libbz2-1.0
	cp debian/copyright debian/tmp-lib/usr/share/doc/libbz2-1.0/
	cp CHANGES debian/tmp-lib/usr/share/doc/libbz2-1.0/changelog
	cp debian/changelog \
	  debian/tmp-lib/usr/share/doc/libbz2-1.0/changelog.Debian
	gzip -v9 debian/tmp-lib/usr/share/doc/libbz2-1.0/changelog*

	# Other packages point to libbz2-1.0
	install -d debian/tmp-dev/usr/share/doc
	ln -s libbz2-1.0 debian/tmp-dev/usr/share/doc/libbz2-dev

	### Package finalize

	# Stripping
	for i in debian/tmp-run/usr/bin/*; \
	do \
	  if head -n 1 $$i | grep -vq '^#!'; \
	  then \
	    (set -x; $(DEBSTRIP) -R .note -R .comment $$i); \
	  fi; \
	done
	$(DEBSTRIP) --strip-unneeded -R .note -R .comment \
	  debian/tmp-lib/usr/lib/*.so*
	$(DEBSTRIP) --strip-debug debian/tmp-dev/usr/lib/*.a

	# Control files
	install -d debian/tmp-{lib,dev,run}/DEBIAN
	cp debian/shlibs debian/tmp-lib/DEBIAN/shlibs

	dpkg-shlibdeps debian/tmp-lib/usr/lib/*.so*
	dpkg-gencontrol -isp -Pdebian/tmp-lib -plibbz2-1.0
	rm debian/substvars
	dpkg-gencontrol -isp -Pdebian/tmp-dev -plibbz2-dev
	dpkg-shlibdeps debian/tmp-run/usr/bin/*
	dpkg-gencontrol -isp -Pdebian/tmp-run -pbzip2

	#for i in run dev lib; do \
	#  cp debian/postinst-$$i debian/tmp-$$i/DEBIAN/postinst; \
	#  cp debian/prerm-$$i debian/tmp-$$i/DEBIAN/prerm; \
	#  chmod +x debian/tmp-$$i/DEBIAN/postinst; \
	#  chmod +x debian/tmp-$$i/DEBIAN/prerm; \
	#done
	#cp debian/preinst-run debian/tmp-run/DEBIAN/preinst
	#cp debian/postrm-lib debian/tmp-lib/DEBIAN/postrm
	#chmod +x debian/tmp-run/DEBIAN/preinst debian/tmp-lib/DEBIAN/postrm

	# Fix perms
	chown -R root.root debian/tmp*
	chmod -R a+rX-wts,u+w debian/tmp*

	# Buildit
	dpkg --build debian/tmp-run ..
	dpkg --build debian/tmp-lib ..
	dpkg --build debian/tmp-dev ..

print-version:
	@@echo "Debian version:          $(DEBVERSION)"
	@@echo "Upstream version:        $(UPVERSION)"

get-orig-source:
	$(WGET) -O bzip2_$(UPVERSION).orig.tar.gz \
	  http://www.bzip.org/$(UPVERSION)/bzip2-$(UPVERSION).tar.gz

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary print-version \
	get-orig-source

## bzip2 1.0.5-3+0m5

=== debian/changelog ===
bzip2 (1:1.0.5-3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Tue, 23 Jun 2009 09:11:26 +0300

bzip2 (1:1.0.5-3) unstable; urgency=low

  * Include debug package for libbz2-1.0.
    Fixes: NB#118321.
  * Migrate to cdbs.
  * Increase compat level to 5.
  * Dependency fixes.

 -- Claudio Saavedra <csaavedra@igalia.com>  Thu, 18 Jun 2009 15:16:40 +0300

bzip2 (1.0.5-2-rc1) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix -rc1 added to package revision

 -- Laitinen Vesa-Matti <ext-vesa-matti.laitinen@nokia.com>  Fri, 02 Jan 2009 13:04:25 +0200

=== debian/control ===
Source: bzip2
Section: utils
Priority: standard
Maintainer: Tapani Palli <tapani.palli@nokia.com>
Standards-Version: 3.6.1.1
Build-depends: texinfo, cdbs, debhelper

Package: libbz2-1.0
Priority: standard
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libbz2-dev, bzip2
Description: high-quality block-sorting file compressor library - runtime
 This package contains libbzip2 which is used by the bzip2 compressor.
 .
 bzip2 is a freely available, patent free, high-quality data compressor. 
 It typically compresses files to within 10% to 15% of the best available
 techniques, whilst being around twice as fast at compression and six
 times faster at decompression.
 .
 bzip2 compresses files using the Burrows-Wheeler block-sorting text
 compression algorithm, and Huffman coding.  Compression is generally
 considerably better than that achieved by more conventional
 LZ77/LZ78-based compressors, and approaches the performance of the PPM
 family of statistical compressors.
 .
 The archive file format of bzip2 (.bz2) is incompatible with that of its
 predecessor, bzip (.bz).
 .
 Homepage http://www.bzip.org/

Package: libbz2-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libbz2-1.0(=${Source-Version}), libc6-dev | libc-dev
Replaces: bzip2(<<0.9.5d-3)
Description: high-quality block-sorting file compressor library - development
 Static libraries and include files for the bzip2 compressor library.
 .
 bzip2 is a freely available, patent free, high-quality data compressor. 
 It typically compresses files to within 10% to 15% of the best available
 techniques, whilst being around twice as fast at compression and six
 times faster at decompression.
 .
 bzip2 compresses files using the Burrows-Wheeler block-sorting text
 compression algorithm, and Huffman coding.  Compression is generally
 considerably better than that achieved by more conventional
 LZ77/LZ78-based compressors, and approaches the performance of the PPM
 family of statistical compressors.
 .
 The archive file format of bzip2 (.bz2) is incompatible with that of its
 predecessor, bzip (.bz).
 .
 Homepage http://www.bzip.org/

Package: libbz2-1.0-dbg
Priority: optional
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libbz2-1.0 (=${binary:Version})
Description: high-quality block-sorting file compressor library - runtime
 This package contains libbzip2 debugging symbols.
 .
 bzip2 is a freely available, patent free, high-quality data compressor. 
 It typically compresses files to within 10% to 15% of the best available
 techniques, whilst being around twice as fast at compression and six
 times faster at decompression.
 .
 bzip2 compresses files using the Burrows-Wheeler block-sorting text
 compression algorithm, and Huffman coding.  Compression is generally
 considerably better than that achieved by more conventional
 LZ77/LZ78-based compressors, and approaches the performance of the PPM
 family of statistical compressors.
 .
 The archive file format of bzip2 (.bz2) is incompatible with that of its
 predecessor, bzip (.bz).
 .
 Homepage http://www.bzip.org/

Package: bzip2
Priority: optional
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libbz2(<<0.9.5d-3)
Description: high-quality block-sorting file compressor - utilities
 This package contains the debugging symbols for the bzip2 utilities.
 .
 bzip2 is a freely available, patent free, high-quality data compressor. 
 It typically compresses files to within 10% to 15% of the best available
 techniques, whilst being around twice as fast at compression and six
 times faster at decompression.
 .
 bzip2 compresses files using the Burrows-Wheeler block-sorting text
 compression algorithm, and Huffman coding.  Compression is generally
 considerably better than that achieved by more conventional
 LZ77/LZ78-based compressors, and approaches the performance of the PPM
 family of statistical compressors.
 .
 The archive file format of bzip2 (.bz2) is incompatible with that of its
 predecessor, bzip (.bz).
 .
 Homepage http://www.bzip.org/

Package: bzip2-dbg
Priority: optional
Section: devel
Architecture: any
Depends: ${misc:Depends}, bzip2 (=${binary:Version})
Description: high-quality block-sorting file compressor - utilities
 bzip2 is a freely available, patent free, high-quality data compressor. 
 It typically compresses files to within 10% to 15% of the best available
 techniques, whilst being around twice as fast at compression and six
 times faster at decompression.
 .
 bzip2 compresses files using the Burrows-Wheeler block-sorting text
 compression algorithm, and Huffman coding.  Compression is generally
 considerably better than that achieved by more conventional
 LZ77/LZ78-based compressors, and approaches the performance of the PPM
 family of statistical compressors.
 .
 The archive file format of bzip2 (.bz2) is incompatible with that of its
 predecessor, bzip (.bz).
 .
 Homepage http://www.bzip.org/

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for building the Debian GNU/Linux package bzip2.
# Copyright (C) 2004-2005 Anibal Monsalve Salazar <anibal@debian.org>

SHELL = /bin/bash
package = bzip2

include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_BUILD_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

DEB_MAKE_CLEAN_TARGET   = clean
DEB_MAKE_BUILD_TARGET   = all
DEB_MAKE_INSTALL_TARGET = install PREFIX=$(CURDIR)/debian/tmp/usr
DEB_MAKE_CHECK_TARGET   = check

DEB_DBG_PACKAGE_libbz2-1.0 = libbz2-1.0-dbg
DEB_DBG_PACKAGE_bzip2 = bzip2-dbg

## bzip2 1.0.6

=== debian/changelog ===
bzip2 (1.0.6-9.2~deb10u2) buster-security; urgency=medium

  * Append -D_FILE_OFFSET_BITS=64 variable to buildflags, to renable handling
    big files in 32-bit archs (Closes: #944557)
  * debian/patches/40-bzdiff-l.patch: Fix bzdiff does not work when comparing
    two bzip2 compressed files. Thanks to Joey Schulze <joey@infodrom.org>.
    (Closes: #965309)

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue, 21 Jul 2020 10:36:47 +0200

bzip2 (1.0.6-9.2~deb10u1) buster; urgency=medium

  * Rebuild for buster

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 10 Jul 2019 21:17:52 +0200

bzip2 (1.0.6-9.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Accept as many selectors as the file format allows (Closes: #931278)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 10 Jul 2019 06:25:07 +0200

bzip2 (1.0.6-9.1) unstable; urgency=high

  * Non-maintainer upload.
  * Make sure nSelectors is not out of range (CVE-2019-12900)
    (Closes: #930886)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 24 Jun 2019 22:15:37 +0200

bzip2 (1.0.6-9) unstable; urgency=medium

  [ Santiago Ruano Rincón ]
  * debian/control: use secure Vcs- urls.
  * Bump Standards-Version to 3.9.8. No changes needed.
  * Add 40-bzdiff-l.patch: bzdiff properly passes -I option to diff.
    Patch from Ubuntu.

  [ Nicolas Boulenguez ]
  * Allow -doc package to satisfy Multi-Arch: foreign dependencies.
    Remove duplicate Section: and Priority:.
  * Refresh patches without all timestamp noise.
  * Document some patches.
  * Add basic runtime test.
  * Split bzdiff-tmpdir-spaces.diff out of 20-legacy.patch.
  * Split bzip2recover-race-open-output.diff out of 20-legacy.patch.
  * Standards-Version 4.1.4.
  * Generate the manual during build instead of embedding it in a patch.
  * Do not add trailing blank spaces in patches.
  * Split bzexe out of 20-legacy.patch.
    Whether bzexe is suggested upstream or maintained in Debian forever,
    it will be easyer to manage as a normal file than as an upstream patch.
  * Split the patch documenting --help option.
  * Pass -D_REENTRANT via CPPFLAGS instead of a patch.
    The patch only makes upstream handle CPPFLAGS, which may be accepted
    independently of the shared library.
  * Split quoting of XML special characters from 20-legacy.diff.
  * Split the patch building a shared library and handling build flags.
  * Fix split of bzexe, install it to /bin/.
  * Drop Postscript documentation.
    Regeneration of the PS/PDF files fails with interesting messages in
    the LaTeX log. Since Debian policy recommends HTML as the default
    documentation format, and we are able to regenerate this HTML from the
    patched source, it is probably better to provide only this format.

  [ Anthony Fok ]
  * Point Vcs-* URLs to salsa.debian.org.
  * Bump Standards-Version to 4.2.0 (no change).
  * Change Homepage to that archived on web.archive.org because the
    bzip.org domain has expired and may change hands, as reported
    at https://lwn.net/Articles/762264/.  (Closes: #905823)
  * Disable debian/watch as bzip.org has expired and may change hands.
  * Revise bzip2 package description and remove performance comparison
    with other compression software.  (Closes: #636184)
  * Revert to using pristine upstream manual.{html,ps} documentation
    without rebuilding, and install manual.pdf too.
  * Add myself to the list of Uploaders.

 -- Anthony Fok <foka@debian.org>  Tue, 14 Aug 2018 13:28:22 -0600

bzip2 (1.0.6-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * bzip2recover: Fix potential use-after-free, Closes: #827744 (CVE-2016-3189)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 29 Jan 2017 18:30:31 +0000

bzip2 (1.0.6-8) unstable; urgency=medium

  * Remove Jorge Ernesto Guevara Cuenca from Uploaders, as agreed with him.
  * Drop unused Build-Depends: gcc-multilib. Thanks to Helmut Grohne
    <helmut@subdivi.de>. Closes: #778640
  * Bump Standards-Version to 3.9.6. No changes needed.

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue, 19 May 2015 21:37:20 +0200

bzip2 (1.0.6-7) unstable; urgency=medium

  * d/control: Remove useless lib{32,64}bz2* transition fields
    (Conflicts/Replaces/Provides).

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 31 Jul 2014 17:02:25 +0200

bzip2 (1.0.6-6) unstable; urgency=low

  [ Steve Langasek ]
  * Convert packaging to dh(1). Closes: #754337
  * Drop obsolete maintainer script which hasn't been needed for a decade.
  * Refactor the build targets so that we can move texinfo to
    Build-Depends-Indep.

  [ Santiago Ruano Rincón ]
  * d/rules: override dh_auto_clean to call make clean.
  * libbz2-dev recommends bzip2-doc to fulfill the lack of specific
    development documentation. Closes: #149953
  * Remove lib{32,64}bz2-{1.0,dev} packages. No longer needed, we rely on
    multiarch now.
    libbz2-{1.0,dev} conflict/replace/provide the removed
    packages Closes: #736815
  * d/copyright.in: fix versionless GPL.
  * Bump Standards-Version to 3.9.5. No changes needed.
  * Add ${misc:Depends} to all binary packages' dependencies.

 -- Santiago Ruano Rincón <santiago@debian.org>  Sun, 27 Jul 2014 22:11:31 +0200

bzip2 (1.0.6-5) unstable; urgency=low

  * Adding watch file
  * Updating rules clean rule.
  * Updating Standards-Version to 3.9.4. No changes needed.
  * Don't drink and upload release. Thanks to bubulle, habanero and
    all the Cheese and Wine orga team.

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue, 13 Aug 2013 00:07:30 +0200

bzip2 (1.0.6-4) unstable; urgency=low

  * Updating 30-bzip2-harden.patch, hardening LDFLAGS was missing for
    libbz2.so. Thanks to Simon Ruderich. Closes: #655164

 -- Santiago Ruano Rincón <santiago@debian.org>  Fri, 27 Jul 2012 16:14:34 +0200

bzip2 (1.0.6-3) unstable; urgency=low

  * Bumped bzip2 priority from optional to standard. Closes: #642657

 -- Santiago Ruano Rincón <santiago@debian.org>  Fri, 08 Jun 2012 01:50:04 +0200



=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for building the Debian GNU/Linux package bzip2.
# Copyright (C) 1999, 2000, 2001, 2002 Philippe Troin
# Copyright (C) 2004-2007 Anibal Monsalve Salazar <anibal@debian.org>
# Copyright 2014 Canonical Ltd.

include /usr/share/dpkg/architecture.mk
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  CC=$(DEB_HOST_GNU_TYPE)-gcc
else
  CC=gcc
endif

DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_CFLAGS_MAINT_APPEND := -Wall -Winline
DEB_CPPFLAGS_MAINT_APPEND := -D_REENTRANT
# This -D_FILE_OFFSET_BITS=64 is needed to make bzip2 able to handle > 2GB-size
# files in 32-bit archs. See #944557
DEB_CPPFLAGS_MAINT_APPEND += -D_FILE_OFFSET_BITS=64
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/pkg-info.mk

lib_pkg := libbz2-1.0
dev_pkg := libbz2-dev

%:
	dh $@

.PHONY: override_dh_auto_build-arch
override_dh_auto_build-arch:
	dh_auto_build -- libbz2.a bzip2 bzip2recover \
	  $(foreach v,CC CFLAGS CPPFLAGS LDFLAGS,'$(v)=$($(v))')

.PHONY: override_dh_auto_build-indep
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
  override_dh_auto_build-indep: bzip2.info
endif

bzip2.info: manual.texi
	makeinfo -o bzip2.info manual.texi

.PHONY: override_dh_auto_test-arch
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
  override_dh_auto_test-arch:
	dh_auto_test -- \
	  $(foreach v,CC CFLAGS CPPFLAGS LDFLAGS,'$(v)=$($(v))')
endif

# Documentation is not tested.
.PHONY: override_dh_auto_test-indep

# requires: docbook-xml docbook2x
manual.texi: manual.xml
	docbook2x-texi \
	  --string-param directory-category=Development \
	  --string-param directory-description='A program and library for data compression' \
	  --string-param output-file=manual \
	  --to-stdout $< > $@

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	# dh_auto_clean calls `make distclean' which removes manual.{html,ps,pdf},
	# so we'd need to rebuild them.  Call `make clean' instead.
	[ -f Makefile ] && $(MAKE) clean

.PHONY: override_dh_auto_install-arch
override_dh_auto_install-arch:
	dh_auto_install -- PREFIX=$(CURDIR)/debian/tmp

# Documentation is installed directly, not in debian/tmp.
.PHONY: override_dh_auto_install-indep

.PHONY: override_dh_link
override_dh_link:
	# This isn't the soname, and nothing should be looking for this file,
	# but leave it alone for now
	dh_link -p$(lib_pkg) lib/$(DEB_HOST_MULTIARCH)/libbz2.so.1.0.4 \
	                     lib/$(DEB_HOST_MULTIARCH)/libbz2.so.1
	dh_link -p$(dev_pkg) lib/$(DEB_HOST_MULTIARCH)/libbz2.so.1.0 \
	                     usr/lib/$(DEB_HOST_MULTIARCH)/libbz2.so
	dh_link --remaining-packages

override_dh_install:
	dh_install -p$(lib_pkg) lib/libbz2.so.* lib/$(DEB_HOST_MULTIARCH)
	dh_install -p$(dev_pkg) lib/libbz2.a usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install --remaining-packages

# --fail-missing becomes the default with debhelper 12.
.PHONY: override_dh_missing
override_dh_missing:
	dh_missing --fail-missing

.PHONY: override_dh_installdocs
override_dh_installdocs:
	dh_installdocs -plibbz2-dev --link-doc=libbz2-1.0
	dh_installdocs --remaining-packages

=== debian/tests/control ===
Tests: compress link-with-shared
